Package org.gradle.api.artifacts.maven

## Interface MavenDeployment

-     @Deprecated
      public interface MavenDeployment

  Deprecated.
  Represents the artifacts which will be deployed to a Maven repository. You can use this interface to modify the set of artifacts.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addArtifact​(PublishArtifact artifact)` | Deprecated. Adds an additional artifact to this deployment.
    `java.lang.String` | `getArtifactId()` | Deprecated. Returns the artifact ID for this deployment.
    `java.util.Set<PublishArtifact>` | `getArtifacts()` | Deprecated. Returns the artifacts which will be deployed.
    `java.util.Set<PublishArtifact>` | `getAttachedArtifacts()` | Deprecated. Returns the additional artifacts for this deployment.
    `java.lang.String` | `getGroupId()` | Deprecated. Returns the group ID for this deployment.
    `PublishArtifact` | `getMainArtifact()` | Deprecated. Returns the main artifact for this deployment.
    `java.lang.String` | `getPackaging()` | Deprecated. Returns the packaging for this deployment.
    `PublishArtifact` | `getPomArtifact()` | Deprecated. Returns the POM for this deployment.
    `java.lang.String` | `getVersion()` | Deprecated. Returns the version for this deployment.

- - ### Method Detail

    - #### getPackaging

          java.lang.String getPackaging()

      Deprecated.
      Returns the packaging for this deployment.
      Returns:
        The packaging. Never null.
      Since:
        4.8

    - #### getGroupId

          java.lang.String getGroupId()

      Deprecated.
      Returns the group ID for this deployment.
      Returns:
        The group ID. Never null.
      Since:
        4.8

    - #### getArtifactId

          java.lang.String getArtifactId()

      Deprecated.
      Returns the artifact ID for this deployment.
      Returns:
        The artifact ID. Never null.
      Since:
        4.8

    - #### getVersion

          java.lang.String getVersion()

      Deprecated.
      Returns the version for this deployment.
      Returns:
        The version. Never null.
      Since:
        4.8

    - #### getPomArtifact

          PublishArtifact getPomArtifact()

      Deprecated.
      Returns the POM for this deployment.
      Returns:
        The POM. Never null.

    - #### getMainArtifact

          PublishArtifact getMainArtifact()

      Deprecated.
      Returns the main artifact for this deployment.
      Returns:
        The main artifact. May be null.

    - #### getArtifacts

          java.util.Set<PublishArtifact> getArtifacts()

      Deprecated.
      Returns the artifacts which will be deployed. Includes the POM artifact.
      Returns:
        The artifacts. Never null.

    - #### addArtifact

          void addArtifact​(PublishArtifact artifact)

      Deprecated.
      Adds an additional artifact to this deployment.
      Parameters:
        `artifact` - The artifact to add.

    - #### getAttachedArtifacts

          java.util.Set<PublishArtifact> getAttachedArtifacts()

      Deprecated.
      Returns the additional artifacts for this deployment.
      Returns:
        the additional artifacts for this deployment. Never null.